
:root{
    --main-color: #ebad01;
}

.btn:focus,
.btn:active:focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn.active.focus {
    outline: none !important;
}

.main-gradient-btn:hover,
.btn-primary:hover {
    background-color: #ebad01 !important;
    color: white;
}



.main-gradient-btn:active,
.main-gradient-btn:focus,
.btn-primary:active,
.btn-primary:focus {
    background-color: #eba11b !important;
    color: white;
}

.btn-radio {
    background-color: transparent;
    transition: background-color 0.2s, color 0.2s;
    border: #ffbb01 solid 2px;
}

.btn-radio.active {
    color: white;
    background-color: #ffbb01;
    box-shadow: none;
}

body {
    font-family: 'Cairo', sans-serif !important;
    background-color: #ececec !important;
}

.box {
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 4px 3px;
    padding: 10px;
}

.info-box {
    box-shadow: rgba(0, 0, 0, 0.05) 0px 3px 4px 3px;
}


/*ALERT MESSAGES*/

.alert-message {
    position: fixed;
    right: 3%;
    bottom: 3%;
    z-index: 10000
}

.nav-item a {
    background-color: transparent !important;
    border: none !important;
    color: #808080;
}

.nav-item.active {
    background-color: transparent !important;
    border: none !important;
    border-bottom: solid #ff8d16 2px !important;
}

#addTagModal .modal-content {
    border-radius: 7px;
}

.modal-content > header {
    background: var(--main-color);
}

.modal-content > header > .modal-title {
    font-size: 20px;
}

.tab-content {
    padding-top: 20px;
}

.tab-content label {
    text-align: left !important;
}

.modal-dialog {
    margin-top: 100px;
}

.nav-link.active{
    border-bottom: solid var(--main-color) 5px !important;
}

#addTagModal .modal-center {
    display: flex !important;
    margin: auto;
    align-items: center;
    justify-content: center;
}

#addTagModal .close {
    float: left;
}

#addTagModal .modal-title {
    float: right;
    font-family: inherit;
}

#addTagModal form input,
#addTagModal form button {
    border-radius: 30px;
}

#addTagModal form textarea {
    border-radius: 15px;
    min-height: 50px;
    max-width: 100%;
    min-width: 100%;
}

#addTagModal form .tag-body {
    padding: 5rem;
    text-align: center;
}

#addTagModal form .tag-demo {}

.d-none {
    display: none !important;
}

.tag-btn {
    border-radius: 30px;
    background: #ffbb0145;
    border: 1px solid #ffbb01;
    color: #ffbb01;
    padding: 0;
    margin-bottom: 8px;
}

.tag .btn-tag-text {
    color: inherit;
    padding: 6px 15px 6px 0px;
    line-height: 1.2;
}

.tag.tag-btn:hover .btn-tag-cancel {
    font-size: 1.2rem;
    padding: 7px 10px 7px 15px;
    transform: scale(1);
    width: auto;
}

.tag .btn-tag-cancel {
    transition: .2s;
    transform: scale(0);
    width: 0;
}

.btn-transparent:hover {
    box-shadow: none;
}

.btn-transparent {
    background: transparent;
    border-color: transparent;
}

body {
    padding-right: 0 !important;
}

.loader {
    position: fixed;
    z-index: 9987;
    background: #00000070;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    direction: rtl;
}

.loader .loader-title {
    z-index: 9996;
    text-align: center;
    margin-top: 22rem;
    color: #fff;
}

.mesh-loader {
    position: absolute;
    overflow: hidden;
    height: 100%;
    width: 100%;
    z-index: 9998;
}

.mesh-loader .circle {
    width: 25px;
    height: 25px;
    position: absolute;
    background: #ffbb01;
    border-radius: 50%;
    margin: -12.5px;
    -webkit-animation: mesh 3s ease-in-out infinite;
    animation: mesh 3s ease-in-out infinite -1.5s;
}

.mesh-loader>div .circle:last-child {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.mesh-loader>div {
    position: absolute;
    top: 50%;
    left: 50%;
}

.mesh-loader>div:last-child {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
}

@-webkit-keyframes mesh {
    0% {
        -webkit-transform-origin: 50% -100%;
        transform-origin: 50% -100%;
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }
    50% {
        -webkit-transform-origin: 50% -100%;
        transform-origin: 50% -100%;
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
    50.00001% {
        -webkit-transform-origin: 50% 200%;
        transform-origin: 50% 200%;
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform-origin: 50% 200%;
        transform-origin: 50% 200%;
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes mesh {
    0% {
        -webkit-transform-origin: 50% -100%;
        transform-origin: 50% -100%;
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }
    50% {
        -webkit-transform-origin: 50% -100%;
        transform-origin: 50% -100%;
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
    50.00001% {
        -webkit-transform-origin: 50% 200%;
        transform-origin: 50% 200%;
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform-origin: 50% 200%;
        transform-origin: 50% 200%;
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.p-1-2 {
    padding: 1rem 2rem;
}

.CodeMirror-scroll {
    width: 100% !important;
    margin: 0 6px 0 !important;
}

.transaction_image img {
    max-width: 100%;
    max-height: 120px;
    object-fit: contain;
}


/* Fixing Multiple Select */
.select2-drop-multi {
    position: absolute !important;
    z-index: 1000 !important;
    background-color: lightslategrey !important;
    color: white;
    top: 200px !important;
}

.select2-drop-multi li{
    cursor: pointer;   
    list-style-type: none; 
}

.select2-results {
    padding-left: 5px !important;
}

.select2-search-field .select2-input{
    border: solid 1px black !important;
}